PluginException after installing ProfileManager plugin in Android Studio

I'm getting a PluginException in Android Studio after I've installed the plugin. The menu for the EMDK shows up but there are no options in it to click. This means I can't launch the ProfileManager.

 

Is there any fix for this?

 

I'm running Android Studio 2.3 beta 3 on macOS.

Anonymous (not verified)
The plugin depends on 'wizard

The plugin depends on 'wizard core' which needs to be installed (copied) separately: EMDK For Android Setup on Mac (Android Studio) - Zebra Technologies Techdocs , it sounds like you don't have the 'wizard core' bits from what you describe:

> Copy EMDK_FILES/Symbol EMDK for Android folder into the /Users/Shared folder.

If that doesn't solve the issue please make sure you have followed all the steps in that installation guide for Mac.  Please note if it was previously working then an update to Android Studio may have caused it to stop working in which case a re-install may be required.

Vote: 
Vote up!
Vote down!

Points: 1

You voted ‘up’


Erik Hellman
I have followed all the steps

I have followed all the steps, including the 'wizard core' stuff.

I probably should have mentioned that the plugin works in Android Studio 2.2. The reason I can't use that is that I need 2.3 due to bugfixes related in other areas.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Erik Hellman
Also, it is not acceptable

Also, it is not acceptable that I need to modify the installation of Android Studio to get the plugin working. It would really be appreciated if you could provide a regular IntelliJ plugin that could be installed through the plugin manager. The current solution break the plugin on each update and we need to stay on latest as we're using the latest features.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Anonymous (not verified)
I completely agree, it's

I completely agree, it's something the team are looking into this year and feedback like this is great to have to increase priority.

I tried the plugin on Android Studio 2.3 on my Mac and yes, it's completely broken isn't it!  I'll notify the team responsible, thanks for reporting.

Vote: 
Vote up!
Vote down!

Points: 1

You voted ‘up’


Erik Hellman
Sounds great! I'll continue

Sounds great! I'll continue working with Android Studio 2.2 in parallell for now.

Regarding the plugin, it looks like it should be fairly easy to solve if you package the entire plugin as a single .jar file.

Cheers,

Erik

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Anonymous (not verified)
Happy to say our engineering

Happy to say our engineering team have created a fix for the incompatibility with 2.3.  Should be rolled into the next public version of EMDK which hopefully will align with when Android Studio 2.3 moves from beta to stable.

Vote: 
Vote up!
Vote down!

Points: 1

You voted ‘up’


Log in to post comments